curl --request GET \
--url https://api.skulabs.com/order/get_archived \
--header 'Authorization: Bearer <token>'{
"orders": [
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"status": "unstarted",
"type": "manual",
"stash": {
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"date": "2025-01-15",
"items": [
{
"id": "<string>",
"variant_id": "<string>",
"lineName": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"line_id": "<string>",
"metadata": "<unknown>",
"dropshipped": true
}
],
"shipping_information": {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"company": "<string>",
"method": "<string>",
"is_residential": true,
"is_valid": true,
"hash": "<string>",
"address_type": "<string>",
"address_validation_data": {}
},
"total": 123,
"tax": 123,
"shipping": 123,
"discount": 123,
"notes": "<string>",
"alternate_order_id": "<string>",
"order_id": "<string>",
"currency": "<string>"
},
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"details": "<unknown>"
}
],
"batch_number": 123,
"location": "<string>",
"warehouse_id": "<string>",
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
],
"notes": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>",
"type": "internal"
}
],
"shipped_date": "2025-01-15T12:00:00.000Z",
"last_shipment_date": "2025-01-15T12:00:00.000Z",
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"channel_status": "<string>",
"marked_as_shipped": true,
"processing": true,
"date": "2025-01-15",
"archived": true
}
],
"db_time": 123,
"process_time": 123,
"message": "<string>"
}Retrieve archived orders with optional filtering.
curl --request GET \
--url https://api.skulabs.com/order/get_archived \
--header 'Authorization: Bearer <token>'{
"orders": [
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"status": "unstarted",
"type": "manual",
"stash": {
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"date": "2025-01-15",
"items": [
{
"id": "<string>",
"variant_id": "<string>",
"lineName": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"line_id": "<string>",
"metadata": "<unknown>",
"dropshipped": true
}
],
"shipping_information": {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"company": "<string>",
"method": "<string>",
"is_residential": true,
"is_valid": true,
"hash": "<string>",
"address_type": "<string>",
"address_validation_data": {}
},
"total": 123,
"tax": 123,
"shipping": 123,
"discount": 123,
"notes": "<string>",
"alternate_order_id": "<string>",
"order_id": "<string>",
"currency": "<string>"
},
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"details": "<unknown>"
}
],
"batch_number": 123,
"location": "<string>",
"warehouse_id": "<string>",
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
],
"notes": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>",
"type": "internal"
}
],
"shipped_date": "2025-01-15T12:00:00.000Z",
"last_shipment_date": "2025-01-15T12:00:00.000Z",
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"channel_status": "<string>",
"marked_as_shipped": true,
"processing": true,
"date": "2025-01-15",
"archived": true
}
],
"db_time": 123,
"process_time": 123,
"message": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Start date
"2024-01-01"
End date
"2024-12-31"
Filter by tag IDs (ObjectId strings referencing the tag collection)
["507f1f77bcf86cd799439011"]Filter by store IDs